Package weka.clusterers

# Class RandomizableSingleClustererEnhancer

java.lang.Object
weka.clusterers.AbstractClusterer
weka.clusterers.RandomizableSingleClustererEnhancer

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Clusterer`, `CapabilitiesHandler`, `OptionHandler`, `Randomizable`, `RevisionHandler`

public abstract class RandomizableSingleClustererEnhancer extends AbstractClusterer implements OptionHandler, Randomizable
Abstract utility class for handling settings common to randomizable clusterers.

Version:
  $Revision: 1.3 $
Author:
  FracPete (fracpete at waikato dot ac dot nz)
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`RandomizableSingleClustererEnhancer()`

## Method Summary

Modifier and Type
Method
Description
`String[]`
`getOptions()`
Gets the current settings of the classifier.
`int`
`getSeed()`
Gets the seed for the random number generations
`Enumeration`
`listOptions()`
Returns an enumeration describing the available options.
`String`
`seedTipText()`
Returns the tip text for this property
`void`
`setOptions(String[] options)`
Parses a given list of options.
`void`
`setSeed(int value)`
Set the seed for random number generation.

### Methods inherited from class weka.clusterers.AbstractClusterer

`buildClusterer, clusterInstance, distributionForInstance, forName, getCapabilities, getRevision, makeCopies, makeCopy, numberOfClusters`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### RandomizableSingleClustererEnhancer

public RandomizableSingleClustererEnhancer()

## Method Details

### listOptions

public Enumeration listOptions()
Returns an enumeration describing the available options.

Specified by:
  `listOptions` in interface `OptionHandler`
Returns:
  an enumeration of all the available options.

### setOptions

public void setOptions(String[] options) throws Exception
Parses a given list of options. Valid options are:

Specified by:
  `setOptions` in interface `OptionHandler`
Parameters:
  `options` - the list of options as an array of strings
Throws:
  `Exception` - if an option is not supported

### getOptions

public String[] getOptions()
Gets the current settings of the classifier.

Specified by:
  `getOptions` in interface `OptionHandler`
Returns:
  an array of strings suitable for passing to setOptions

### seedTipText

public String seedTipText()
Returns the tip text for this property

Returns:
  tip text for this property suitable for displaying in the explorer/experimenter gui

### setSeed

public void setSeed(int value)
Set the seed for random number generation.

Specified by:
  `setSeed` in interface `Randomizable`
Parameters:
  `value` - the seed to use

### getSeed

public int getSeed()
Gets the seed for the random number generations

Specified by:
  `getSeed` in interface `Randomizable`
Returns:
  the seed for the random number generation